/**
 * Theme Name:     Starter Fse Child
 * Author:         Anil Basnet a Prochy
 * Template:       starter-fse
 * Text Domain:	   starter-fse-child
 * Description:    Starter Fse is a minimal and lightweight Full Site Editing theme. This speed optimized theme utilizes the WordPress blocks editor to create unique and eye-catching layouts. Starter Fse is perfect for a single-page website, a blog, a business website, a portfolio, a construction site, or an education site ,blogs, small businesses, startups, law firms and other creative agencies who prefer simple and speed optimized websites.
 */

/* formular prihlasky */
.amcr-fakturacni-adresa-wrap {
    display: none;
}

.amcr-fakturacni-adresa-wrap.is-open {
    display: block;
}

/* CSS pro shortcode výpisu lidí */
.mediatori-seznam {
    width: 100%;
    /*max-width: 1200px;*/
    margin: 0 auto;
}

.mediatori-seznam-dlazdice {
  max-width: 1440px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 15px;
}

.mediator-item {
	cursor: pointer;
    display: flex;
    margin-bottom: 30px;
    border-bottom: 1px solid #eee;
    padding-bottom: 20px;
    transition: all 0.3s ease;
}

.mediatori-seznam-dlazdice .mediator-item {
    display: flex;
	flex-direction: column;
	flex-basis: calc(30% - 15px);
}

.mediator-item:hover {
    transform: translateY(-3px);
}

.nahledove-foto {
    position: relative;
    /*flex: 0 0 200px;*/
    margin-right: 20px;
    overflow: hidden;
}

.nahledove-foto img {
    width: 100%;
    height: auto;
    border-radius: 300px;
    transition: transform 0.3s ease;
}

.nahledove-foto:hover img {
    transform: scale(1.05);
}

.typ-osoby-stitek {
    position: absolute;
    bottom: 25px;
    left: 0;
    background-color: rgba(185, 45, 50, 0.9);
    color: white;
    padding: 5px 10px;
    font-size: 14px;
    border-radius: 0 3px 3px 0;
    z-index: 1;
}

.akce-info {
    flex: 1;
}

.akce-info h3 {
    margin-top: 0;
    margin-bottom: 15px;
    font-size: 1.4em;
}

.akce-info h3 a {
    color: #333;
    text-decoration: none;
    transition: color 0.3s ease;
}

.akce-info h3 a:hover {
    color: #0073aa;
}

.akce-info div {
    margin-bottom: 8px;
    line-height: 1.5;
}

.meta-label {
    font-weight: bold;
    color: #444;
}

/* Responzivní design */
@media screen and (max-width: 1280px) {
	.mediatori-seznam-dlazdice .mediator-item {
		flex-basis: calc(50% - 15px);
	}
}

@media screen and (max-width: 768px) {
    .mediator-item {
        flex-direction: column;
		text-align: center;
   	 	align-items: center;
    }
	
	.mediatori-seznam-dlazdice .mediator-item {
		flex-basis: calc(100% - 15px);
	}
    
    .nahledove-foto {
        flex: 0 0 auto;
        margin-right: 0;
        margin-bottom: 15px;
        width: 100%;
		max-width: 200px;
        max-width: 300px;
    }
}



/* SOUBORY KE  STAZENI */
.soubory-ke-stazeni {
	margin: 20px 0;
}
.soubory-seznam {
	list-style: none;
	padding: 0;
}
.soubor-polozka {
	margin-bottom: 10px;
	padding: 8px;
	background: #f9f9f9;
	border: 1px solid #e5e5e5;
	border-radius: 3px;
	display: flex;
	align-items: center;
}
.soubor-polozka .dashicons {
	margin-right: 10px;
	font-size: 24px;
}
.soubor-polozka a {
	text-decoration: none;
	font-weight: bold;
	margin-right: 10px;
}
.soubor-info {
	color: #666;
	font-size: 12px;
}

/* Responzivní design */
@media screen and (max-width: 768px) {
	.soubor-polozka {
	  align-items: center;
	  flex-direction: column;
	}
}


.akce-item h3 a {
	color: var(--wp--preset--color--primary);
	text-decoration: underline;
	transition: 350ms all ease;
}


.akce-item h3 a:hover {
	color: #000 !important;
	text-decoration: underline;
}

/* tlacitko */
.prihlaska-formular .wpcf7-submit {
	color: #ffffff;
}

.prihlaska-formular .wpcf7-submit:disabled {
	color: #ffffff50;
}
